%if 0%{?el7}
%define dist .el7
%endif

Name:		perl-Class-Virtual
Version:	0.08
Release:	1%{?dist}
Summary:	Base class for virtual base classes.

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/~mschwern/Class-Virtual-0.06/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/Class-Virtual-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
This is a base class for implementing virtual base classes 
(what some people call an abstract class). Kinda kooky. 
It allows you to explicitly declare what methods are virtual
and that must be implemented by subclasses.
This might seem silly, since your program will halt and catch
fire when an unimplemented virtual method is hit anyway,
but there's some benefits.

%prep
%setup -q -n Class-Virtual-%{version}


%build
%{__perl} Makefile.PL installdirs=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

find $RPM_BUILD_ROOT -name .packlist | xargs rm -rf
find $RPM_BUILD_ROOT -name perllocal.pod | xargs rm -rf

%check

%files
%doc Changes
%{perl_vendorlib}/Class/Virtual*
%{_mandir}/man3/*

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 0.08-1
- new version

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.07-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.07-4
- Rebuilt for fc23

* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 0.07-3
- Update to 0.07

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 0.06-3
- Rebuilt for fc22

* Tue Feb 26 2013 momo-i <webmaster@momo-i.org> 0.06-1
- Initial rpm release.
